// Elementary code to switch an LED on and off
// If this code fails to compile, you probably have new hardware. Click on the mbed library ("mbed") and then click on "Update" to update to the latest version.
// This code is identical to mbed_blinky, but the mbed library version for mbed_blinky is updated more regularly. However, it has less comments (see below)

#include "mbed.h"       // This is how you import most of the library functions on mbed

DigitalOut myled(LED1); // Set up LED1 pin as a digital output

int main()              // Start of main program

{
    
    while(1)            // Start an endless loop 
    
    {                   // top of endless loop
        
        myled = 1;      // Set pin high, turns LED off
        wait(0.2);      // Wait 0.2 seconds
        
        myled = 0;      // Set pin low, turns LED on
        wait(0.2);      // Wait 0.2 seconds
        
    }                   // bottom of endless loop
    
}                       // end of main program
